Package org.apache.wiki.render

# Class CreoleRenderer

java.lang.Object
org.apache.wiki.render.WikiRenderer
org.apache.wiki.render.CreoleRenderer

public class CreoleRenderer extends WikiRenderer
Implements DOM-to-Creole rendering.

FIXME: This class is not yet completely done.

## Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

## Constructor Summary

Constructors
Constructor
Description
`CreoleRenderer(Context ctx, WikiDocument doc)`
Creates a new Creole Renderer.

## Method Summary

Modifier and Type
Method
Description
`String`
`getString()`
Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreoleRenderer

public CreoleRenderer(Context ctx, WikiDocument doc)
Creates a new Creole Renderer.

## Method Details

### getString

public String getString()
Renders and returns the end result.

Specified by:
  `getString` in class `WikiRenderer`
Returns:
  A rendered string.